%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

Name:           kubernetes-cni
Version:        0.6.0
Release:        2.0.1%{?dist}
BuildArch:      x86_64
Summary:        Container Network Interface - networking for Linux containers
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/containernetworking/cni
Source:         cni-%{version}.tar.bz2
Requires:	kubernetes-cni-plugins = %{version}
#%{?systemd_requires}

%description
The CNI (Container Network Interface) project consists of a
specification and libraries for writing plugins to configure
network interfaces in Linux containers, along with a number of
supported plugins. CNI concerns itself only with network
connectivity of containers and removing allocated resources when
the container is deleted. Because of this focus, CNI has a wide
range of support and the specification is simple to implement.

This is the minimal CNI configuration for Kubernetes.

%prep
%setup -q -n cni-%{version}

%build
./build.sh

%install
install -m 755 -d %{buildroot}/opt/cni
mv bin/ %{buildroot}/opt/cni/

%files
%license LICENSE
/opt/cni

%changelog
* Fri Feb 16 2018 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.6.0-2.0.1
- Production built 0.6.0-2.0.1

* Thu Aug 31 2017 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.6.0-1.0.1
- Update to v0.6.0

* Tue Aug 01 2017 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.5.2-2.0.1
- Update to v0.5.2
